Jupiter - Zadanie #1695
Zadanie # 1694 (Rozwigzany): Obstuga petnych tekstow

Dodanie metody w kontrolerze do pobierania plikéw binarnych

2017-05-19 10:42 - Michat Komar

Status: Rozwigzany Start date: 2017-05-19
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%
Category: web Estimated time: 0.00 hour
Target version: 0.3

Developer: tukasz Waskiewicz Tester: Michat Komar
Description

W kontrolerze nalezy doda¢ metode, kt6éra na podsawie identyfikatora dokumentu, identyfikatora conent-file oraz zrodta pochodzenia

zwraca zawartos¢ pliku.
1. Sa 3 rodzaje zrddet:
- tmp storage - plik zwracany sposrod uploadéw
- database - plik zwracany z bazy danych
- external - plik z infony

2. Mime type - nalezy pamieta¢ o nadawaniu mime-type odpowiedziom, dzieki czemu bedzie mozna wyswietla¢ pliki graficzne

(oktadki)

Associated revisions

Revision 53ea4c5f - 2017-06-01 13:06 - Lukasz Waskiewicz

refs #1695 pobieranie plikow

Revision 56dad89a - 2017-07-03 09:14 - Lukasz Waskiewicz

refs #1695 wydzielenie kodu wysytania pliku w HttpResponse

Revision 39affc2c - 2017-07-03 13:22 - Lukasz Waskiewicz

refs #1695 cache na pobieranie plikow z infony + test

History

#1 - 2017-05-19 11:17 - Michat Komar
- Description updated

#2 - 2017-06-01 13:52 - Lukasz Waskiewicz

- Status changed from Nowy to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar
- % Done changed from 0 to 100

#3 - 2017-06-21 10:53 - Michat Komar
- Status changed from Testowanie to Odpowiedz
- Assignee changed from Michat Komar to tukasz Waskiewicz

Ten caly kod stuzacy do wysytania danych binarnych warto by byto wrzuci¢ do jakiegos utila, bo moze sie przyda¢ -> np. do pobierania plikow z
importami, gdyby kyos chcial, ebysmy je przechowywali.

W InfonaDocumentAttachmentResolver lub JupiterStoragelntegrationService mozna jaki$ cache dodac na pliki, zeby nie pobiera¢ za kazdym razem.

Poza tym ok.

#4 - 2017-07-03 13:23 - Lukasz Waskiewicz
- Status changed from OdpowiedZ to Testowanie
- Assignee changed from tukasz Waskiewicz to Michat Komar

dodano cache przez ehCache wydzielony AttachmentUtil

#5 - 2017-07-25 14:58 - Michat Komar

- Status changed from Testowanie to Rozwigzany

Ok.
